import sys

from dotenv import load_dotenv

load_dotenv()

sys.path.append('.data/lib')
sys.path.append('./lib')
sys.path.append('.data/extensions')
sys.path.append('./extensions')


import sqlite3

class AccountsApp:
    
    def __init__ (self, db_path):
        self.db_path = db_path
    
    def create_account (username, password):
        pass
    
    def link_account (account_id, service, cred):
        pass
    
    def oauth_redirect_url (account_id, service, cred):
        pass
    
    def oauth_access_token_for_code ():
        pass
    
    def oauth_refresh_token ():
        pass
    
    def add_credentials_to_request (account_id, service, params = None, headers = None, cookies = None):
        pass